Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.tracing
Class HagensBiDiStrategie1.RTPseudoLight

    java.lang.Object
      de.grogra.ray.tracing.HagensBiDiStrategie1.RTPseudoLight

All Implemented Interfaces:
  RTLight, RTObject

Enclosing class:
  HagensBiDiStrategie1

    public class HagensBiDiStrategie1.RTPseudoLight

extends java.lang.Object
implements RTLight

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.ray.RTObject
`RTObject.RTObjectUserData`

Field Summary
`Color3f` | `color`

Constructor Summary
`HagensBiDiStrategie1.RTPseudoLight(Tuple3f newOrigin, Color3f newColor)`

Method Summary
`float` | `computeBSDF(ShadingEnvironment env, Vector3f in, Vector3f out, boolean adjoint, Color3f bsdf)`
`void` | `generateRandomOrigins(RayList out, int seed)`
`void` | `generateRandomRays(Vector3f out, RayList rays, boolean adjoint, int seed)`
`BoundingVolume` | `getBoundingVolume()`
`float` | `getDistance(Ray ray)`
`float` | `getDistance(Ray ray, RayContext context)`
`Point3f` | `getGloabalOrigin()`
`Point3f` | `getGlobalOrigin()`
`void` | `getIntersectionDescription(IntersectionDescription desc)`
`void` | `getIntersectionDescription(int params, IntersectionDescription desc)`
`int` | `getLightRays(IntersectionDescription desc, RayList rays)`
`int` | `getLightRays(Ray view, IntersectionDescription desc, ShadowProcessor shadowProcessor, RayList rays)`
`RTMedium` | `getMedium()`
`RTShader` | `getShader()`
`RTObject.RTObjectUserData` | `getUserData()`
`boolean` | `isConvex()`
`boolean` | `isShadeable()`
`boolean` | `isShadowless()`
`boolean` | `isSolid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### color

    public Color3f color

Constructor Detail

### HagensBiDiStrategie1.RTPseudoLight

    public HagensBiDiStrategie1.RTPseudoLight(Tuple3f newOrigin,
                                              Color3f newColor)

Method Detail

### computeBSDF

    public float computeBSDF(ShadingEnvironment env,
                             Vector3f in,
                             Vector3f out,
                             boolean adjoint,
                             Color3f bsdf)

  Specified by:
    `computeBSDF` in interface `RTLight`

### generateRandomOrigins

    public void generateRandomOrigins(RayList out,
                                      int seed)

  Specified by:
    `generateRandomOrigins` in interface `RTLight`

### generateRandomRays

    public void generateRandomRays(Vector3f out,
                                   RayList rays,
                                   boolean adjoint,
                                   int seed)

  Specified by:
    `generateRandomRays` in interface `RTLight`

### getBoundingVolume

    public BoundingVolume getBoundingVolume()

  Specified by:
    `getBoundingVolume` in interface `RTObject`

### getDistance

    public float getDistance(Ray ray)

### getDistance

    public float getDistance(Ray ray,
                             RayContext context)

  Specified by:
    `getDistance` in interface `RTObject`

### getGloabalOrigin

    public Point3f getGloabalOrigin()

### getGlobalOrigin

    public Point3f getGlobalOrigin()

  Specified by:
    `getGlobalOrigin` in interface `RTLight`

### getIntersectionDescription

    public void getIntersectionDescription(IntersectionDescription desc)

  Specified by:
    `getIntersectionDescription` in interface `RTObject`

### getIntersectionDescription

    public void getIntersectionDescription(int params,
                                           IntersectionDescription desc)

### getLightRays

    public int getLightRays(IntersectionDescription desc,
                            RayList rays)

### getLightRays

    public int getLightRays(Ray view,
                            IntersectionDescription desc,
                            ShadowProcessor shadowProcessor,
                            RayList rays)

  Specified by:
    `getLightRays` in interface `RTLight`

### getMedium

    public RTMedium getMedium()

  Specified by:
    `getMedium` in interface `RTObject`

### getShader

    public RTShader getShader()

  Specified by:
    `getShader` in interface `RTObject`

### getUserData

    public RTObject.RTObjectUserData getUserData()

  Specified by:
    `getUserData` in interface `RTObject`

### isConvex

    public boolean isConvex()

  Specified by:
    `isConvex` in interface `RTObject`

### isShadeable

    public boolean isShadeable()

  Specified by:
    `isShadeable` in interface `RTObject`

### isShadowless

    public boolean isShadowless()

  Specified by:
    `isShadowless` in interface `RTLight`

### isSolid

    public boolean isSolid()

  Specified by:
    `isSolid` in interface `RTObject`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD